Upstream information

CVE-2021-45942 at MITRE

Description

OpenEXR 3.1.x before 3.1.4 has a heap-based buffer overflow in Imf_3_1::LineCompositeTask::execute (called from IlmThread_3_1::NullThreadPoolProvider::addTask and IlmThread_3_1::ThreadPool::addGlobalTask). NOTE: db217f2 may be inapplicable.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 6.6
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None Low
Integrity Impact None Low
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1194333 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libIlmImf-2_2-23 >= 2.2.1-3.41.1
  • libIlmImfUtil-2_2-23 >= 2.2.1-3.41.1
  • openexr-devel >= 2.2.1-3.41.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-62
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libIlmImf-2_2-23 >= 2.2.1-3.41.1
  • libIlmImfUtil-2_2-23 >= 2.2.1-3.41.1
  • openexr-devel >= 2.2.1-3.41.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA libIlmImf-2_2-23-2.2.1-3.41.1
SUSE Linux Enterprise Real Time 15 SP2
  • libIlmImf-2_2-23 >= 2.2.1-3.41.1
  • libIlmImfUtil-2_2-23 >= 2.2.1-3.41.1
  • openexr-devel >= 2.2.1-3.41.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-62
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libIlmImf-Imf_2_1-21 >= 2.1.0-6.45.1
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-6.45.1
  • openexr >= 2.1.0-6.45.1
  • openexr-devel >= 2.1.0-6.45.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-61
SUSE-SLE-SERVER-12-SP5-2022-61
SUSE-SLE-WE-12-SP5-2022-61
SUSE Linux Enterprise Software Development Kit 12 SP5
  • openexr-devel >= 2.1.0-6.45.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-61
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libIlmImf-Imf_2_1-21-32bit >= 2.1.0-6.45.1
Patchnames:
SUSE-SLE-WE-12-SP5-2022-61
openSUSE Leap 15.3
  • libIlmImf-2_2-23 >= 2.2.1-3.41.1
  • libIlmImf-2_2-23-32bit >= 2.2.1-3.41.1
  • libIlmImfUtil-2_2-23 >= 2.2.1-3.41.1
  • libIlmImfUtil-2_2-23-32bit >= 2.2.1-3.41.1
  • openexr >= 2.2.1-3.41.1
  • openexr-devel >= 2.2.1-3.41.1
  • openexr-doc >= 2.2.1-3.41.1
Patchnames:
openSUSE-SLE-15.3-2022-62
openSUSE Leap 15.4
  • libIlmImf-2_2-23 >= 2.2.1-3.41.1
Patchnames:
openSUSE Leap 15.4 GA libIlmImf-2_2-23-2.2.1-3.41.1
openSUSE Tumbleweed
  • libIex-3_1-30 >= 3.1.3-2.1
  • libIex-3_1-30-32bit >= 3.1.3-2.1
  • libIlmThread-3_1-30 >= 3.1.3-2.1
  • libIlmThread-3_1-30-32bit >= 3.1.3-2.1
  • libOpenEXR-3_1-30 >= 3.1.3-2.1
  • libOpenEXR-3_1-30-32bit >= 3.1.3-2.1
  • libOpenEXRCore-3_1-30 >= 3.1.3-2.1
  • libOpenEXRCore-3_1-30-32bit >= 3.1.3-2.1
  • libOpenEXRUtil-3_1-30 >= 3.1.3-2.1
  • libOpenEXRUtil-3_1-30-32bit >= 3.1.3-2.1
  • openexr >= 3.1.3-2.1
  • openexr-devel >= 3.1.3-2.1
  • openexr-doc >= 3.1.3-2.1
Patchnames:
openSUSE Tumbleweed GA libIex-3_1-30-3.1.3-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 openexr Affected
SUSE Enterprise Storage 7.1 openexr Released
SUSE Linux Enterprise Desktop 15 SP4 openexr Released
SUSE Linux Enterprise High Performance Computing 12 SP5 openexr Released
SUSE Linux Enterprise High Performance Computing 15 SP4 openexr Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 openexr Released
SUSE Linux Enterprise Real Time 15 SP3 openexr Affected
SUSE Linux Enterprise Server 12 SP5 openexr Released
SUSE Linux Enterprise Server 12-LTSS openexr Affected
SUSE Linux Enterprise Server 15 SP4 openexr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openexr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openexr Released
SUSE Linux Enterprise Software Development Kit 12 SP5 openexr Released
SUSE Linux Enterprise Workstation Extension 12 SP5 openexr Released
SUSE Manager Proxy 4.2 openexr Released
SUSE Manager Proxy 4.3 openexr Released
SUSE Manager Retail Branch Server 4.2 openexr Released
SUSE Manager Retail Branch Server 4.3 openexr Released
SUSE Manager Server 4.2 openexr Released
SUSE Manager Server 4.3 openexr Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 openexr Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS openexr Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS openexr Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS openexr Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS openexr Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 openexr Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 openexr Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 openexr Released
SUSE Linux Enterprise Server 12 SP2-BCL openexr Affected
SUSE Linux Enterprise Server 12 SP4 openexr Affected
SUSE Linux Enterprise Server 12 SP4-LTSS openexr Affected
SUSE Linux Enterprise Server 15 SP1 openexr Affected
SUSE Linux Enterprise Server 15 SP1-LTSS openexr Affected
SUSE Linux Enterprise Server 15 SP2 openexr Affected
SUSE Linux Enterprise Server 15 SP2-LTSS openexr Affected
SUSE Linux Enterprise Server 15 SP3 openexr Released
SUSE Linux Enterprise Server 15 SP3-LTSS openexr Affected
SUSE Linux Enterprise Server 15-ESPOS openexr Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 openexr Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 15 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openexr Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 openexr Affected
SUSE CaaS Platform 4.0 openexr Affected
SUSE CaaS Platform 4.5 openexr Affected
SUSE Enterprise Storage 6 openexr Affected
SUSE Linux Enterprise Desktop 11 SP4 OpenEXR Not affected
SUSE Linux Enterprise Desktop 12 openexr Affected
SUSE Linux Enterprise Desktop 12 SP1 openexr Affected
SUSE Linux Enterprise Desktop 12 SP2 openexr Affected
SUSE Linux Enterprise Desktop 12 SP3 openexr Affected
SUSE Linux Enterprise Desktop 12 SP4 openexr Affected
SUSE Linux Enterprise Desktop 15 openexr Affected
SUSE Linux Enterprise Desktop 15 SP1 openexr Affected
SUSE Linux Enterprise Desktop 15 SP2 openexr Affected
SUSE Linux Enterprise Desktop 15 SP3 openexr Released
SUSE Linux Enterprise Module for Desktop Applications 15 openexr Affected
SUSE Linux Enterprise Real Time 15 SP2 openexr Released
SUSE Linux Enterprise Server 11 SP1 OpenEXR Not affected
SUSE Linux Enterprise Server 11 SP3 OpenEXR Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS OpenEXR Not affected
SUSE Linux Enterprise Server 11 SP4 OpenEXR Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS OpenEXR Not affected
SUSE Linux Enterprise Server 12 openexr Affected
SUSE Linux Enterprise Server 12 SP1 openexr Affected
SUSE Linux Enterprise Server 12 SP1-LTSS openexr Affected
SUSE Linux Enterprise Server 12 SP2 openexr Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS openexr Affected
SUSE Linux Enterprise Server 12 SP2-LTSS openexr Affected
SUSE Linux Enterprise Server 12 SP3 openexr Affected
SUSE Linux Enterprise Server 12 SP3-BCL openexr Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS openexr Affected
SUSE Linux Enterprise Server 12 SP3-LTSS openexr Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS openexr Affected
SUSE Linux Enterprise Server 15 openexr Affected
SUSE Linux Enterprise Server 15 SP1-BCL openexr Affected
SUSE Linux Enterprise Server 15 SP2-BCL openexr Affected
SUSE Linux Enterprise Server 15 SP3-BCL openexr Affected
SUSE Linux Enterprise Server 15-LTSS openexr Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 OpenEXR Not affected
SUSE Linux Enterprise Server for SAP Applications 12 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openexr Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openexr Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 OpenEXR Not affected
SUSE Linux Enterprise Software Development Kit 12 openexr Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 openexr Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 openexr Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 openexr Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 openexr Affected
SUSE Linux Enterprise Workstation Extension 12 openexr Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 openexr Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 openexr Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 openexr Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 openexr Affected
SUSE Manager Proxy 4.0 openexr Affected
SUSE Manager Proxy 4.1 openexr Affected
SUSE Manager Retail Branch Server 4.0 openexr Affected
SUSE Manager Retail Branch Server 4.1 openexr Affected
SUSE Manager Server 4.0 openexr Affected
SUSE Manager Server 4.1 openexr Affected
SUSE OpenStack Cloud 7 openexr Affected
SUSE OpenStack Cloud 8 openexr Affected
SUSE OpenStack Cloud 9 openexr Affected
SUSE OpenStack Cloud Crowbar 8 openexr Affected
SUSE OpenStack Cloud Crowbar 9 openexr Affected


SUSE Timeline for this CVE

CVE page created: Sat Jan 1 11:00:15 2022
CVE page last modified: Fri Jan 20 16:13:10 2023